BlitzReels
BlitzReelsDocumentation
API Reference
POST
/projects/{projectId}/broll

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/broll" \  -H "Content-Type: application/json" \  -d '{    "items": [      {        "asset_id": "string",        "start_seconds": 0      }    ]  }'
{  "inserted": [    {      "asset_id": "string",      "start_seconds": 0,      "success": true,      "already_existed": true,      "timeline_item_id": "string",      "message": "string",      "animation_applied": "string",      "layer_index": -9007199254740991,      "placement_intent": "overlay",      "placement": {        "coordinate_origin": "canvas_center",        "position_x": 0,        "position_y": 0,        "width_px": 0,        "height_px": 0,        "composition_width": 0,        "composition_height": 0,        "keep_aspect_ratio": true,        "position_preset": "string",        "explicit_layer_preserved": true      },      "warnings": [        "string"      ]    }  ],  "summary": {    "total": 0,    "actually_inserted": 0,    "already_in_timeline": 0,    "failed": 0  },  "warnings": [    "string"  ],  "message": "string"}